%global verdate 20120724

Name:           avgtime
Version:        0
Release:        0.5.git%{verdate}%{?dist}
Summary:        Time a command and print average, standard deviation

License:        Boost
URL:            https://github.com/jmcabo/avgtime

# There are no upstream source tarballs.  The source tarball
# here was constructed as follows:
#
#   git clone https://github.com/jmcabo/avgtime.git
#   cd avgtime
#   d=`date +%Y%m%d`
#   git archive -o /tmp/avgtime-$d.tar.gz --prefix=avgtime-$d/ HEAD
#
Source0:        avgtime-%{verdate}.tar.gz

BuildRequires:  ldc
BuildRequires:  ldc-druntime
BuildRequires:  ldc-phobos-devel


%description
'avgtime' works like the Linux 'time' command, except it runs the
command repeatedly and displays statistics:

- median
- average
- standard deviation
- 95% and 99% confidence intervals


%prep
%setup -q -n avgtime-%{verdate}


%build
ldc2 %{_d_optflags} avgtime.d


%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -a avgtime $RPM_BUILD_ROOT%{_bindir}


%files
%doc README.md LICENSE_1_0.txt
%{_bindir}/avgtime


%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.git20120724
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Oct 10 2012 Richard W.M. Jones <rjones@redhat.com> - 0-0.4.git20120724
- Try bump and rebuild again to fix broken dependency.

* Thu Sep 27 2012 Richard W.M. Jones <rjones@redhat.com> - 0-0.3.git20120724
- Bump and rebuild.

* Thu Jul 26 2012 Richard W.M. Jones <rjones@redhat.com> - 0-0.2.git20120724
- Rebuild against fixed ldc.
- Add _d_optflags (thanks Jonathan Mercier).

* Wed Jul 25 2012 Richard W.M. Jones <rjones@redhat.com> - 0-0.1.git20120724
- Initial release.
